<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: util/axesrot.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_81f17f03227d7067ce13f3651b0bf66b.html">util</a>
  </div>
</div>
<div class="contents">
<h1>axesrot.c File Reference</h1><code>#include &quot;<a class="el" href="util_8h_source.html">util.h</a>&quot;</code><br/>
<code>#include &quot;petscblaslapack.h&quot;</code><br/>
<div class="dynheader">
Include dependency graph for axesrot.c:</div>
<div class="dynsection">
<div class="center"><img src="axesrot_8c__incl.png" border="0" usemap="#util_2axesrot_8c_map" alt=""/></div>
<map name="util_2axesrot_8c_map" id="util_2axesrot_8c">
<area shape="rect" id="node3" href="util_8h.html" title="util.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="axesrot_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="axesrot_8c.html#a5b63115a2dab7c63c692f4a4d739036c">checkortho</a> (PetscReal *axes1)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="axesrot_8c.html#a55381bb85270f2885891ae5fcfa61369">AxesRotation</a> (PetscReal *slice_p, PetscReal *slice_n, PetscReal *axes1, int inv, int n_vert, PetscReal *vertxyz, PetscReal *vertxyz2)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a55381bb85270f2885891ae5fcfa61369"></a><!-- doxytag: member="axesrot.c::AxesRotation" ref="a55381bb85270f2885891ae5fcfa61369" args="(PetscReal *slice_p, PetscReal *slice_n, PetscReal *axes1, int inv, int n_vert, PetscReal *vertxyz, PetscReal *vertxyz2)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int AxesRotation </td>
          <td>(</td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>slice_p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>slice_n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>axes1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>inv</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>n_vert</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>vertxyz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>vertxyz2</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="axesrot_8c_source.html#l00064">64</a> of file <a class="el" href="axesrot_8c_source.html">axesrot.c</a>.</p>

<p>References <a class="el" href="axesrot_8c_source.html#l00030">checkortho()</a>, <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="griddata_8h_source.html#l00131">douter</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00126">my_daxpy</a>, <a class="el" href="griddata_8h_source.html#l00127">my_dcopy</a>, <a class="el" href="griddata_8h_source.html#l00130">my_ddot</a>, <a class="el" href="griddata_8h_source.html#l00128">my_dnrm2</a>, <a class="el" href="griddata_8h_source.html#l00129">my_dscal</a>, and <a class="el" href="griddata_8h_source.html#l00093">ND</a>.</p>

<p>Referenced by <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>, <a class="el" href="writedatapng2_8c_source.html#l00037">WritePNG2init()</a>, and <a class="el" href="writedatapng_8c_source.html#l00037">WritePNGinit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="axesrot_8c_a55381bb85270f2885891ae5fcfa61369_cgraph.png" border="0" usemap="#axesrot_8c_a55381bb85270f2885891ae5fcfa61369_cgraph_map" alt=""></div>
<map name="axesrot_8c_a55381bb85270f2885891ae5fcfa61369_cgraph_map" id="axesrot_8c_a55381bb85270f2885891ae5fcfa61369_cgraph">
<area shape="rect" id="node3" href="axesrot_8c.html#a5b63115a2dab7c63c692f4a4d739036c" title="checkortho" alt="" coords="156,5,241,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="axesrot_8c_a55381bb85270f2885891ae5fcfa61369_icgraph.png" border="0" usemap="#axesrot_8c_a55381bb85270f2885891ae5fcfa61369_icgraph_map" alt=""></div>
<map name="axesrot_8c_a55381bb85270f2885891ae5fcfa61369_icgraph_map" id="axesrot_8c_a55381bb85270f2885891ae5fcfa61369_icgraph">
<area shape="rect" id="node3" href="writedatadat_8c.html#a27c977d96cd920cf08c4c10eb3565f10" title="WriteDatInit" alt="" coords="163,119,251,150"/><area shape="rect" id="node36" href="writepng_8h.html#a916a4d7d0d8aec0eac742e8f8bb41a93" title="WritePNG2init" alt="" coords="156,173,257,203"/><area shape="rect" id="node41" href="writepng_8h.html#a3f07c3a3f70ce2f4d84f69022cccf680" title="WritePNGinit" alt="" coords="159,226,255,257"/><area shape="rect" id="node5" href="writedatadat_8c.html#a8a2136d4b7b21ac2719c65356c713cbb" title="WriteDat" alt="" coords="316,119,385,150"/><area shape="rect" id="node7" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="444,173,513,203"/><area shape="rect" id="node9" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="563,119,701,150"/><area shape="rect" id="node11" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="925,145,984,175"/><area shape="rect" id="node15" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="787,273,840,303"/><area shape="rect" id="node18" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="568,173,696,203"/><area shape="rect" id="node22" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="593,66,671,97"/><area shape="rect" id="node27" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="589,226,675,257"/><area shape="rect" id="node31" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="587,279,677,310"/><area shape="rect" id="node13" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1032,197,1083,227"/><area shape="rect" id="node24" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="751,66,876,97"/><area shape="rect" id="node38" href="writepng_8h.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="308,173,393,203"/><area shape="rect" id="node43" href="writepng_8h.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="312,226,389,257"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a5b63115a2dab7c63c692f4a4d739036c"></a><!-- doxytag: member="axesrot.c::checkortho" ref="a5b63115a2dab7c63c692f4a4d739036c" args="(PetscReal *axes1)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int checkortho </td>
          <td>(</td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>axes1</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="axesrot_8c_source.html#l00030">30</a> of file <a class="el" href="axesrot_8c_source.html">axesrot.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="griddata_8h_source.html#l00131">douter</a>, <a class="el" href="griddata_8h_source.html#l00130">my_ddot</a>, <a class="el" href="griddata_8h_source.html#l00128">my_dnrm2</a>, and <a class="el" href="griddata_8h_source.html#l00093">ND</a>.</p>

<p>Referenced by <a class="el" href="axesrot_8c_source.html#l00064">AxesRotation()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="axesrot_8c_a5b63115a2dab7c63c692f4a4d739036c_icgraph.png" border="0" usemap="#axesrot_8c_a5b63115a2dab7c63c692f4a4d739036c_icgraph_map" alt=""></div>
<map name="axesrot_8c_a5b63115a2dab7c63c692f4a4d739036c_icgraph_map" id="axesrot_8c_a5b63115a2dab7c63c692f4a4d739036c_icgraph">
<area shape="rect" id="node3" href="util_8h.html#a55381bb85270f2885891ae5fcfa61369" title="AxesRotation" alt="" coords="143,173,241,203"/><area shape="rect" id="node5" href="writedatadat_8c.html#a27c977d96cd920cf08c4c10eb3565f10" title="WriteDatInit" alt="" coords="299,119,387,150"/><area shape="rect" id="node38" href="writepng_8h.html#a916a4d7d0d8aec0eac742e8f8bb41a93" title="WritePNG2init" alt="" coords="292,173,393,203"/><area shape="rect" id="node43" href="writepng_8h.html#a3f07c3a3f70ce2f4d84f69022cccf680" title="WritePNGinit" alt="" coords="295,226,391,257"/><area shape="rect" id="node7" href="writedatadat_8c.html#a8a2136d4b7b21ac2719c65356c713cbb" title="WriteDat" alt="" coords="452,119,521,150"/><area shape="rect" id="node9" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="580,173,649,203"/><area shape="rect" id="node11" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="699,119,837,150"/><area shape="rect" id="node13" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1061,145,1120,175"/><area shape="rect" id="node17" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="923,273,976,303"/><area shape="rect" id="node20" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="704,173,832,203"/><area shape="rect" id="node24" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="729,66,807,97"/><area shape="rect" id="node29" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="725,226,811,257"/><area shape="rect" id="node33" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="723,279,813,310"/><area shape="rect" id="node15" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1168,197,1219,227"/><area shape="rect" id="node26" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="887,66,1012,97"/><area shape="rect" id="node40" href="writepng_8h.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="444,173,529,203"/><area shape="rect" id="node45" href="writepng_8h.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="448,226,525,257"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

